// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: Approximation.proto

package ru.omnicomm.pegasus.messaging.settings.fuel;

public final class ApproximationSettingsParser {
  private ApproximationSettingsParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class ApproximationSettings extends
      com.google.protobuf.GeneratedMessage {
    // Use ApproximationSettings.newBuilder() to construct.
    private ApproximationSettings() {
      initFields();
    }
    private ApproximationSettings(boolean noInit) {}
    
    private static final ApproximationSettings defaultInstance;
    public static ApproximationSettings getDefaultInstance() {
      return defaultInstance;
    }
    
    public ApproximationSettings getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationSettings_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationSettings_fieldAccessorTable;
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2 [default = 501];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 501;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // optional int32 filterLength = 100 [default = 35];
    public static final int FILTERLENGTH_FIELD_NUMBER = 100;
    private boolean hasFilterLength;
    private int filterLength_ = 35;
    public boolean hasFilterLength() { return hasFilterLength; }
    public int getFilterLength() { return filterLength_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      if (hasFilterLength()) {
        output.writeInt32(100, getFilterLength());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      if (hasFilterLength()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(100, getFilterLength());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings result;
      
      // Construct using ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings other) {
        if (other == ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasFilterLength()) {
          setFilterLength(other.getFilterLength());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 800: {
              setFilterLength(input.readInt32());
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2 [default = 501];
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 501;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // optional int32 filterLength = 100 [default = 35];
      public boolean hasFilterLength() {
        return result.hasFilterLength();
      }
      public int getFilterLength() {
        return result.getFilterLength();
      }
      public Builder setFilterLength(int value) {
        result.hasFilterLength = true;
        result.filterLength_ = value;
        return this;
      }
      public Builder clearFilterLength() {
        result.hasFilterLength = false;
        result.filterLength_ = 35;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettings)
    }
    
    static {
      defaultInstance = new ApproximationSettings(true);
      ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettings)
  }
  
  public static final class ApproximationBuffer extends
      com.google.protobuf.GeneratedMessage {
    // Use ApproximationBuffer.newBuilder() to construct.
    private ApproximationBuffer() {
      initFields();
    }
    private ApproximationBuffer(boolean noInit) {}
    
    private static final ApproximationBuffer defaultInstance;
    public static ApproximationBuffer getDefaultInstance() {
      return defaultInstance;
    }
    
    public ApproximationBuffer getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_fieldAccessorTable;
    }
    
    public static final class FuelData extends
        com.google.protobuf.GeneratedMessage {
      // Use FuelData.newBuilder() to construct.
      private FuelData() {
        initFields();
      }
      private FuelData(boolean noInit) {}
      
      private static final FuelData defaultInstance;
      public static FuelData getDefaultInstance() {
        return defaultInstance;
      }
      
      public FuelData getDefaultInstanceForType() {
        return defaultInstance;
      }
      
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_FuelData_descriptor;
      }
      
      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_FuelData_fieldAccessorTable;
      }
      
      // optional int32 dataId = 1;
      public static final int DATAID_FIELD_NUMBER = 1;
      private boolean hasDataId;
      private int dataId_ = 0;
      public boolean hasDataId() { return hasDataId; }
      public int getDataId() { return dataId_; }
      
      // optional int32 value = 2;
      public static final int VALUE_FIELD_NUMBER = 2;
      private boolean hasValue;
      private int value_ = 0;
      public boolean hasValue() { return hasValue; }
      public int getValue() { return value_; }
      
      private void initFields() {
      }
      public final boolean isInitialized() {
        return true;
      }
      
      public void writeTo(com.google.protobuf.CodedOutputStream output)
                          throws java.io.IOException {
        getSerializedSize();
        if (hasDataId()) {
          output.writeInt32(1, getDataId());
        }
        if (hasValue()) {
          output.writeInt32(2, getValue());
        }
        getUnknownFields().writeTo(output);
      }
      
      private int memoizedSerializedSize = -1;
      public int getSerializedSize() {
        int size = memoizedSerializedSize;
        if (size != -1) return size;
      
        size = 0;
        if (hasDataId()) {
          size += com.google.protobuf.CodedOutputStream
            .computeInt32Size(1, getDataId());
        }
        if (hasValue()) {
          size += com.google.protobuf.CodedOutputStream
            .computeInt32Size(2, getValue());
        }
        size += getUnknownFields().getSerializedSize();
        memoizedSerializedSize = size;
        return size;
      }
      
      public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData parseFrom(
          com.google.protobuf.ByteString data)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData parseFrom(
          com.google.protobuf.ByteString data,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData parseFrom(byte[] data)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData parseFrom(
          byte[] data,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData parseFrom(java.io.InputStream input)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData parseFrom(
          java.io.InputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData parseDelimitedFrom(java.io.InputStream input)
          throws java.io.IOException {
        Builder builder = newBuilder();
        if (builder.mergeDelimitedFrom(input)) {
          return builder.buildParsed();
        } else {
          return null;
        }
      }
      public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData parseDelimitedFrom(
          java.io.InputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        Builder builder = newBuilder();
        if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
          return builder.buildParsed();
        } else {
          return null;
        }
      }
      public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData parseFrom(
          com.google.protobuf.CodedInputStream input)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData parseFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input, extensionRegistry)
                 .buildParsed();
      }
      
      public static Builder newBuilder() { return Builder.create(); }
      public Builder newBuilderForType() { return newBuilder(); }
      public static Builder newBuilder(ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData prototype) {
        return newBuilder().mergeFrom(prototype);
      }
      public Builder toBuilder() { return newBuilder(this); }
      
      public static final class Builder extends
          com.google.protobuf.GeneratedMessage.Builder<Builder> {
        private ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData result;
        
        // Construct using ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData.newBuilder()
        private Builder() {}
        
        private static Builder create() {
          Builder builder = new Builder();
          builder.result = new ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData();
          return builder;
        }
        
        protected ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData internalGetResult() {
          return result;
        }
        
        public Builder clear() {
          if (result == null) {
            throw new IllegalStateException(
              "Cannot call clear() after build().");
          }
          result = new ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData();
          return this;
        }
        
        public Builder clone() {
          return create().mergeFrom(result);
        }
        
        public com.google.protobuf.Descriptors.Descriptor
            getDescriptorForType() {
          return ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData.getDescriptor();
        }
        
        public ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData getDefaultInstanceForType() {
          return ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData.getDefaultInstance();
        }
        
        public boolean isInitialized() {
          return result.isInitialized();
        }
        public ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData build() {
          if (result != null && !isInitialized()) {
            throw newUninitializedMessageException(result);
          }
          return buildPartial();
        }
        
        private ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData buildParsed()
            throws com.google.protobuf.InvalidProtocolBufferException {
          if (!isInitialized()) {
            throw newUninitializedMessageException(
              result).asInvalidProtocolBufferException();
          }
          return buildPartial();
        }
        
        public ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData buildPartial() {
          if (result == null) {
            throw new IllegalStateException(
              "build() has already been called on this Builder.");
          }
          ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData returnMe = result;
          result = null;
          return returnMe;
        }
        
        public Builder mergeFrom(com.google.protobuf.Message other) {
          if (other instanceof ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData) {
            return mergeFrom((ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData)other);
          } else {
            super.mergeFrom(other);
            return this;
          }
        }
        
        public Builder mergeFrom(ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData other) {
          if (other == ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData.getDefaultInstance()) return this;
          if (other.hasDataId()) {
            setDataId(other.getDataId());
          }
          if (other.hasValue()) {
            setValue(other.getValue());
          }
          this.mergeUnknownFields(other.getUnknownFields());
          return this;
        }
        
        public Builder mergeFrom(
            com.google.protobuf.CodedInputStream input,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws java.io.IOException {
          com.google.protobuf.UnknownFieldSet.Builder unknownFields =
            com.google.protobuf.UnknownFieldSet.newBuilder(
              this.getUnknownFields());
          while (true) {
            int tag = input.readTag();
            switch (tag) {
              case 0:
                this.setUnknownFields(unknownFields.build());
                return this;
              default: {
                if (!parseUnknownField(input, unknownFields,
                                       extensionRegistry, tag)) {
                  this.setUnknownFields(unknownFields.build());
                  return this;
                }
                break;
              }
              case 8: {
                setDataId(input.readInt32());
                break;
              }
              case 16: {
                setValue(input.readInt32());
                break;
              }
            }
          }
        }
        
        
        // optional int32 dataId = 1;
        public boolean hasDataId() {
          return result.hasDataId();
        }
        public int getDataId() {
          return result.getDataId();
        }
        public Builder setDataId(int value) {
          result.hasDataId = true;
          result.dataId_ = value;
          return this;
        }
        public Builder clearDataId() {
          result.hasDataId = false;
          result.dataId_ = 0;
          return this;
        }
        
        // optional int32 value = 2;
        public boolean hasValue() {
          return result.hasValue();
        }
        public int getValue() {
          return result.getValue();
        }
        public Builder setValue(int value) {
          result.hasValue = true;
          result.value_ = value;
          return this;
        }
        public Builder clearValue() {
          result.hasValue = false;
          result.value_ = 0;
          return this;
        }
        
        // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationBuffer.FuelData)
      }
      
      static {
        defaultInstance = new FuelData(true);
        ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.internalForceInit();
        defaultInstance.initFields();
      }
      
      // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationBuffer.FuelData)
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2 [default = 506];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 506;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // repeated .ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationBuffer.FuelData buffer = 100;
    public static final int BUFFER_FIELD_NUMBER = 100;
    private java.util.List<ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData> buffer_ =
      java.util.Collections.emptyList();
    public java.util.List<ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData> getBufferList() {
      return buffer_;
    }
    public int getBufferCount() { return buffer_.size(); }
    public ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData getBuffer(int index) {
      return buffer_.get(index);
    }
    
    // optional int32 filterLength = 101;
    public static final int FILTERLENGTH_FIELD_NUMBER = 101;
    private boolean hasFilterLength;
    private int filterLength_ = 0;
    public boolean hasFilterLength() { return hasFilterLength; }
    public int getFilterLength() { return filterLength_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      for (ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData element : getBufferList()) {
        output.writeMessage(100, element);
      }
      if (hasFilterLength()) {
        output.writeInt32(101, getFilterLength());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      for (ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData element : getBufferList()) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(100, element);
      }
      if (hasFilterLength()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(101, getFilterLength());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer result;
      
      // Construct using ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        if (result.buffer_ != java.util.Collections.EMPTY_LIST) {
          result.buffer_ =
            java.util.Collections.unmodifiableList(result.buffer_);
        }
        ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer other) {
        if (other == ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (!other.buffer_.isEmpty()) {
          if (result.buffer_.isEmpty()) {
            result.buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData>();
          }
          result.buffer_.addAll(other.buffer_);
        }
        if (other.hasFilterLength()) {
          setFilterLength(other.getFilterLength());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 802: {
              ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData.Builder subBuilder = ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData.newBuilder();
              input.readMessage(subBuilder, extensionRegistry);
              addBuffer(subBuilder.buildPartial());
              break;
            }
            case 808: {
              setFilterLength(input.readInt32());
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2 [default = 506];
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 506;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // repeated .ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationBuffer.FuelData buffer = 100;
      public java.util.List<ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData> getBufferList() {
        return java.util.Collections.unmodifiableList(result.buffer_);
      }
      public int getBufferCount() {
        return result.getBufferCount();
      }
      public ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData getBuffer(int index) {
        return result.getBuffer(index);
      }
      public Builder setBuffer(int index, ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData value) {
        if (value == null) {
          throw new NullPointerException();
        }
        result.buffer_.set(index, value);
        return this;
      }
      public Builder setBuffer(int index, ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData.Builder builderForValue) {
        result.buffer_.set(index, builderForValue.build());
        return this;
      }
      public Builder addBuffer(ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData value) {
        if (value == null) {
          throw new NullPointerException();
        }
        if (result.buffer_.isEmpty()) {
          result.buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData>();
        }
        result.buffer_.add(value);
        return this;
      }
      public Builder addBuffer(ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData.Builder builderForValue) {
        if (result.buffer_.isEmpty()) {
          result.buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData>();
        }
        result.buffer_.add(builderForValue.build());
        return this;
      }
      public Builder addAllBuffer(
          java.lang.Iterable<? extends ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData> values) {
        if (result.buffer_.isEmpty()) {
          result.buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData>();
        }
        super.addAll(values, result.buffer_);
        return this;
      }
      public Builder clearBuffer() {
        result.buffer_ = java.util.Collections.emptyList();
        return this;
      }
      
      // optional int32 filterLength = 101;
      public boolean hasFilterLength() {
        return result.hasFilterLength();
      }
      public int getFilterLength() {
        return result.getFilterLength();
      }
      public Builder setFilterLength(int value) {
        result.hasFilterLength = true;
        result.filterLength_ = value;
        return this;
      }
      public Builder clearFilterLength() {
        result.hasFilterLength = false;
        result.filterLength_ = 0;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationBuffer)
    }
    
    static {
      defaultInstance = new ApproximationBuffer(true);
      ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationBuffer)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationSettings_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationSettings_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_FuelData_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_FuelData_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\023Approximation.proto\022+ru.omnicomm.pegas" +
      "us.messaging.settings.fuel\"r\n\025Approximat" +
      "ionSettings\022\020\n\010sourceId\030\001 \002(\005\022\030\n\013message" +
      "Type\030\002 \001(\005:\003501\022\023\n\013messageTime\030\003 \002(\005\022\030\n\014" +
      "filterLength\030d \001(\005:\00235\"\362\001\n\023Approximation" +
      "Buffer\022\020\n\010sourceId\030\001 \002(\005\022\030\n\013messageType\030" +
      "\002 \001(\005:\003506\022\023\n\013messageTime\030\003 \002(\005\022Y\n\006buffe" +
      "r\030d \003(\0132I.ru.omnicomm.pegasus.messaging." +
      "settings.fuel.ApproximationBuffer.FuelDa" +
      "ta\022\024\n\014filterLength\030e \001(\005\032)\n\010FuelData\022\016\n\006",
      "dataId\030\001 \001(\005\022\r\n\005value\030\002 \001(\005BJ\n+ru.omnico" +
      "mm.pegasus.messaging.settings.fuelB\033Appr" +
      "oximationSettingsParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationSettings_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationSettings_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationSettings_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "FilterLength", },
              ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings.class,
              ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationSettings.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_descriptor =
            getDescriptor().getMessageTypes().get(1);
          internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "Buffer", "FilterLength", },
              ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.class,
              ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_FuelData_descriptor =
            internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_descriptor.getNestedTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_FuelData_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_settings_fuel_ApproximationBuffer_FuelData_descriptor,
              new java.lang.String[] { "DataId", "Value", },
              ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData.class,
              ru.omnicomm.pegasus.messaging.settings.fuel.ApproximationSettingsParser.ApproximationBuffer.FuelData.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
